prespch_buf_s Struct Reference

## Data Fields

mfcc_t ** | cep_buf
int16 * | pcm_buf
int16 | cep_write_ptr
int16 | cep_read_ptr
int16 | ncep
int16 | pcm_write_ptr
int16 | pcm_read_ptr
int16 | npcm
int16 | num_frames_cep
int16 | num_frames_pcm
int16 | num_cepstra
int16 | num_samples

## Detailed Description

Definition at line 51 of file fe_prespch_buf.c.

## Field Documentation

## cep_buf

mfcc_t** prespch_buf_s::cep_buf

Definition at line 53 of file fe_prespch_buf.c.

## cep_read_ptr

int16 prespch_buf_s::cep_read_ptr

Definition at line 60 of file fe_prespch_buf.c.

## cep_write_ptr

int16 prespch_buf_s::cep_write_ptr

Definition at line 58 of file fe_prespch_buf.c.

## ncep

int16 prespch_buf_s::ncep

Definition at line 62 of file fe_prespch_buf.c.

## npcm

int16 prespch_buf_s::npcm

Definition at line 70 of file fe_prespch_buf.c.

## num_cepstra

int16 prespch_buf_s::num_cepstra

Definition at line 77 of file fe_prespch_buf.c.

## num_frames_cep

int16 prespch_buf_s::num_frames_cep

Definition at line 73 of file fe_prespch_buf.c.

## num_frames_pcm

int16 prespch_buf_s::num_frames_pcm

Definition at line 75 of file fe_prespch_buf.c.

## num_samples

int16 prespch_buf_s::num_samples

Definition at line 79 of file fe_prespch_buf.c.

## pcm_buf

int16* prespch_buf_s::pcm_buf

Definition at line 55 of file fe_prespch_buf.c.

## pcm_read_ptr

int16 prespch_buf_s::pcm_read_ptr

Definition at line 68 of file fe_prespch_buf.c.

## pcm_write_ptr

int16 prespch_buf_s::pcm_write_ptr

Definition at line 66 of file fe_prespch_buf.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/fe/fe_prespch_buf.c